# Couenne::exprStore Class Reference

storage class for previously evaluated expressions More...

`#include <CouenneExprStore.hpp>`

Inheritance diagram for Couenne::exprStore:

List of all members.

## Public Member Functions
| exprStore (expression *copy)
| Constructor.
| exprStore (const exprStore &e, Domain *d=NULL)
| Store constructor -- Must go.
virtual | ~exprStore ()
| Destructor.
virtual void | print (std::ostream &out=std::cout, bool descend=false) const
| Printing.
virtual expression * | clone (Domain *d=NULL) const
| Cloning method.
virtual CouNumber | operator() ()
| function for evaluating the expression -- returns value of exprCopy pointed to, which returns a value stored from a previous evaluation
## Protected Attributes
CouNumber | value_
| Value of the (previously evaluated) expression.

## Detailed Description

storage class for previously evaluated expressions

Definition at line 23 of file CouenneExprStore.hpp.

## Constructor & Destructor Documentation

Couenne::exprStore::exprStore | ( | expression * | copy | ) | `[inline]`

Constructor.

Definition at line 33 of file CouenneExprStore.hpp.

Referenced by clone().

Couenne::exprStore::exprStore | ( | const exprStore & | e,
|  | Domain * | d = `NULL` |
| ) |  |  | `[inline]`

Store constructor -- Must go.

Definition at line 37 of file CouenneExprStore.hpp.

virtual Couenne::exprStore::~exprStore | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 43 of file CouenneExprStore.hpp.

References Couenne::exprCopy::copy_.

## Member Function Documentation

virtual void Couenne::exprStore::print | ( | std::ostream & | out = `std::cout`,
|  | bool | descend = `false` |
| ) |  |  | const`[virtual]`

Printing.

Reimplemented from Couenne::exprCopy.

virtual expression* Couenne::exprStore::clone | ( | Domain * | d = `NULL` | ) | const`[inline, virtual]`

Cloning method.

Reimplemented from Couenne::exprCopy.

Definition at line 51 of file CouenneExprStore.hpp.

References exprStore().

virtual CouNumber Couenne::exprStore::operator() | ( |  | ) | `[inline, virtual]`

function for evaluating the expression -- returns value of exprCopy pointed to, which returns a value stored from a previous evaluation

Reimplemented from Couenne::exprCopy.

Definition at line 57 of file CouenneExprStore.hpp.

References Couenne::exprCopy::copy_, and Couenne::exprCopy::Value().

## Member Data Documentation

CouNumber Couenne::exprStore::value_`[protected]`

Value of the (previously evaluated) expression.

Reimplemented from Couenne::exprCopy.

Definition at line 28 of file CouenneExprStore.hpp.

The documentation for this class was generated from the following file:

- CouenneExprStore.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines